//+------------------------------------------------------------------+
//|                                         KG FIBONACCI MA V1.2.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.forexindo.com/forum/showthread.php?t=95&page=9"

#property indicator_chart_window
#property indicator_buffers 8

extern int Corner=1;
extern int MA_Mode=MODE_LWMA;
int TF_1=PERIOD_M1;
int TF_2=PERIOD_M5;
int TF_3=PERIOD_M15;
int TF_4=PERIOD_H1;
int TF_5=PERIOD_H4;
int TF_6=PERIOD_D1;
int TF_7=PERIOD_W1;
int TF_8=PERIOD_MN1;

extern color MA_Month_Color=Aqua;
extern color MA_Week_Color=Magenta;
extern color MA_Day_Color=Lime;
extern color MA_8H_Color=Yellow;
extern color MA_4H_Color=MediumBlue;
extern color MA_1H_Color=Red;
extern color MA_30M_Color=DarkViolet;
extern color MA_15M_Color=White;

string TF1;
string TF2;
string TF3;
string TF4;
string TF5;
string TF6;
string TF7;
string TF8;

//---- buffers
double MAMonth[];
double MAWeek[];
double MA24H[];
double MA8H[];
double MA4H[];
double MA1H[];
double MA30M[];
double MA15M[];
double    PerMonth;
double    PerWeek;
double    Per24H;
double    Per8H;
double    Per4H;
double    Per1H;
double    Per30M;
double    Per15M;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE,0,1,MA_Month_Color);
   SetIndexBuffer(0,MAMonth);
   SetIndexLabel(0,"MA 16.18");
   SetIndexStyle(1,DRAW_LINE,0,1,MA_Week_Color);
   SetIndexBuffer(1,MAWeek);
   SetIndexLabel(1,"MA 12.36");
   SetIndexStyle(2,DRAW_LINE,0,1,MA_Day_Color);
   SetIndexBuffer(2,MA24H);
   SetIndexLabel(2,"MA 10.00");
   SetIndexStyle(3,DRAW_LINE,0,1,MA_8H_Color);
   SetIndexBuffer(3,MA8H);
   SetIndexLabel(3,"MA 7.64");
   SetIndexStyle(4,DRAW_LINE,0,1,MA_4H_Color);
   SetIndexBuffer(4,MA4H);
   SetIndexLabel(4,"MA 6.18");
   SetIndexStyle(5,DRAW_LINE,0,1,MA_1H_Color);
   SetIndexBuffer(5,MA1H);
   SetIndexLabel(5,"MA 5.00");
   SetIndexStyle(6,DRAW_LINE,0,1,MA_30M_Color);
   SetIndexBuffer(6,MA30M);
   SetIndexLabel(6,"MA 3.82");
   SetIndexStyle(7,DRAW_LINE,0,1,MA_15M_Color);
   SetIndexBuffer(7,MA15M);
   SetIndexLabel(7,"MA 2.36");
   
   string label1 = "KG MA 16.18";
   ObjectDelete(label1);
   ObjectCreate( label1, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label1,"16.18",8, "Arial Bold", MA_Month_Color);
   ObjectSet( label1, OBJPROP_CORNER, Corner );
   ObjectSet( label1, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label1, OBJPROP_YDISTANCE, 10 );
   
   string label2 = "KG MA 12.36";
   ObjectDelete(label2);
   ObjectCreate( label2, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label2,"12.36",8, "Arial Bold", MA_Week_Color);
   ObjectSet( label2, OBJPROP_CORNER, Corner );
   ObjectSet( label2, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label2, OBJPROP_YDISTANCE, 20 );
   
   string label3 = "KG MA 10.00";
   ObjectDelete(label3);
   ObjectCreate( label3, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label3,"10.00",8, "Arial Bold", MA_Day_Color);
   ObjectSet( label3, OBJPROP_CORNER, Corner );
   ObjectSet( label3, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label3, OBJPROP_YDISTANCE, 30 );
   
   string label4 = "KG MA 7.64";
   ObjectDelete(label4);
   ObjectCreate( label4, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label4,"7.64",8, "Arial Bold", MA_8H_Color);
   ObjectSet( label4, OBJPROP_CORNER, Corner );
   ObjectSet( label4, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label4, OBJPROP_YDISTANCE, 40 );
   
   string label5 = "KG MA 6.18";
   ObjectDelete(label5);
   ObjectCreate( label5, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label5,"6.18",8, "Arial Bold", MA_4H_Color);
   ObjectSet( label5, OBJPROP_CORNER, Corner );
   ObjectSet( label5, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label5, OBJPROP_YDISTANCE, 50 );
   
   string label6 = "KG MA 5.00";
   ObjectDelete(label6);
   ObjectCreate( label6, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label6,"5.00",8, "Arial Bold", MA_1H_Color);
   ObjectSet( label6, OBJPROP_CORNER, Corner );
   ObjectSet( label6, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label6, OBJPROP_YDISTANCE, 60 );

   string label7 = "KG MA 3.82";
   ObjectDelete(label7);
   ObjectCreate( label7, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label7,"3.82",8, "Arial Bold", MA_30M_Color);
   ObjectSet( label7, OBJPROP_CORNER, Corner );
   ObjectSet( label7, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label7, OBJPROP_YDISTANCE, 70 );
   
   string label8 = "KG MA 2.36";
   ObjectDelete(label8);
   ObjectCreate( label8, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label8,"2.36",8, "Arial Bold", MA_15M_Color);
   ObjectSet( label8, OBJPROP_CORNER, Corner );
   ObjectSet( label8, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label8, OBJPROP_YDISTANCE, 80 );

   string label9 = "Time Frame H1";
   ObjectDelete(label9);
   ObjectCreate( label9, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label9,"H1",7, "Arial Bold", MA_15M_Color);
   ObjectSet( label9, OBJPROP_CORNER, Corner );
   ObjectSet( label9, OBJPROP_XDISTANCE, 43 );
   ObjectSet( label9, OBJPROP_YDISTANCE, 100 );

   string label10 = "Time Frame M15";
   ObjectDelete(label10);
   ObjectCreate( label10, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label10,"M15",7, "Arial Bold", MA_15M_Color);
   ObjectSet( label10, OBJPROP_CORNER, Corner );
   ObjectSet( label10, OBJPROP_XDISTANCE, 63 );
   ObjectSet( label10, OBJPROP_YDISTANCE, 100 );
   
   string label11 = "Time Frame M5";
   ObjectDelete(label11);
   ObjectCreate( label11, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label11,"M5",7, "Arial Bold", MA_15M_Color);
   ObjectSet( label11, OBJPROP_CORNER, Corner );
   ObjectSet( label11, OBJPROP_XDISTANCE, 83 );
   ObjectSet( label11, OBJPROP_YDISTANCE, 100 );
   
   string label12 = "Time Frame M1";
   ObjectDelete(label12);
   ObjectCreate( label12, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label12,"M1",7, "Arial Bold", MA_15M_Color);
   ObjectSet( label12, OBJPROP_CORNER, Corner );
   ObjectSet( label12, OBJPROP_XDISTANCE, 103 );
   ObjectSet( label12, OBJPROP_YDISTANCE, 100 );


   //Baris kedua
   
   string label13 = "MA 16.18";
   ObjectDelete(label13);
   ObjectCreate( label13, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label13,"16.18",8, "Arial Bold", MA_Month_Color);
   ObjectSet( label13, OBJPROP_CORNER, Corner );
   ObjectSet( label13, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label13, OBJPROP_YDISTANCE, 120 );
   
   string label14 = "MA 12.36";
   ObjectDelete(label14);
   ObjectCreate( label14, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label14,"12.36",8, "Arial Bold", MA_Week_Color);
   ObjectSet( label14, OBJPROP_CORNER, Corner );
   ObjectSet( label14, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label14, OBJPROP_YDISTANCE, 130 );
   
   string label15 = "MA 10.00";
   ObjectDelete(label15);
   ObjectCreate( label15, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label15,"10.00",8, "Arial Bold", MA_Day_Color);
   ObjectSet( label15, OBJPROP_CORNER, Corner );
   ObjectSet( label15, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label15, OBJPROP_YDISTANCE, 140 );
   
   string label16 = "MA 7.64";
   ObjectDelete(label16);
   ObjectCreate( label16, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label16,"7.64",8, "Arial Bold", MA_8H_Color);
   ObjectSet( label16, OBJPROP_CORNER, Corner );
   ObjectSet( label16, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label16, OBJPROP_YDISTANCE, 150 );
   
   string label17 = "MA 6.18";
   ObjectDelete(label17);
   ObjectCreate( label17, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label17,"6.18",8, "Arial Bold", MA_4H_Color);
   ObjectSet( label17, OBJPROP_CORNER, Corner );
   ObjectSet( label17, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label17, OBJPROP_YDISTANCE, 160 );
   
   string label18 = "MA 5.00";
   ObjectDelete(label18);
   ObjectCreate( label18, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label18,"5.00",8, "Arial Bold", MA_1H_Color);
   ObjectSet( label18, OBJPROP_CORNER, Corner );
   ObjectSet( label18, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label18, OBJPROP_YDISTANCE, 170 );

   string label19 = "MA 3.82";
   ObjectDelete(label19);
   ObjectCreate( label19, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label19,"3.82",8, "Arial Bold", MA_30M_Color);
   ObjectSet( label19, OBJPROP_CORNER, Corner );
   ObjectSet( label19, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label19, OBJPROP_YDISTANCE, 180 );
   
   string label20 = "MA 2.36";
   ObjectDelete(label20);
   ObjectCreate( label20, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label20,"2.36",8, "Arial Bold", MA_15M_Color);
   ObjectSet( label20, OBJPROP_CORNER, Corner );
   ObjectSet( label20, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label20, OBJPROP_YDISTANCE, 190 );

   string label21 = "Time Frame MN";
   ObjectDelete(label21);
   ObjectCreate( label21, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label21,"MN",7, "Arial Bold", MA_15M_Color);
   ObjectSet( label21, OBJPROP_CORNER, Corner );
   ObjectSet( label21, OBJPROP_XDISTANCE, 43 );
   ObjectSet( label21, OBJPROP_YDISTANCE, 210 );

   string label22 = "Time Frame W1";
   ObjectDelete(label22);
   ObjectCreate( label22, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label22,"W1",7, "Arial Bold", MA_15M_Color);
   ObjectSet( label22, OBJPROP_CORNER, Corner );
   ObjectSet( label22, OBJPROP_XDISTANCE, 63 );
   ObjectSet( label22, OBJPROP_YDISTANCE, 210 );
   
   string label23 = "Time Frame D1";
   ObjectDelete(label23);
   ObjectCreate( label23, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label23,"D1",7, "Arial Bold", MA_15M_Color);
   ObjectSet( label23, OBJPROP_CORNER, Corner );
   ObjectSet( label23, OBJPROP_XDISTANCE, 83 );
   ObjectSet( label23, OBJPROP_YDISTANCE, 210 );
   
   string label24 = "Time Frame H4";
   ObjectDelete(label24);
   ObjectCreate( label24, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label24,"H4",7, "Arial Bold", MA_15M_Color);
   ObjectSet( label24, OBJPROP_CORNER, Corner );
   ObjectSet( label24, OBJPROP_XDISTANCE, 103 );
   ObjectSet( label24, OBJPROP_YDISTANCE, 210 );

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   for(int i = ObjectsTotal() - 1; i >= 0; i--)
     {
       string label = ObjectName(i);
       if(StringSubstr(label, 0, 5) != "KG FIBONACCI MA")
           continue;
       ObjectDelete(label);   
     }   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   int ActivePer=Period();
   
   if (TF_1==PERIOD_M1) {TF1="M1";}
   if (TF_1==PERIOD_M5) {TF1="M5";}
   if (TF_1==PERIOD_M15) {TF1="M15";}
   if (TF_1==PERIOD_M30) {TF1="M30";}
   if (TF_1==PERIOD_H1) {TF1="H1";}
   if (TF_1==PERIOD_H4) {TF1="H4";}
   if (TF_1==PERIOD_D1) {TF1="D1";}
   if (TF_1==PERIOD_W1) {TF1="W1";}
   if (TF_1==PERIOD_MN1) {TF1="MN";}
   
   if (TF_2==PERIOD_M1) {TF2="M1";}
   if (TF_2==PERIOD_M5) {TF2="M5";}
   if (TF_2==PERIOD_M15) {TF2="M15";}
   if (TF_2==PERIOD_M30) {TF2="M30";}
   if (TF_2==PERIOD_H1) {TF2="H1";}
   if (TF_2==PERIOD_H4) {TF2="H4";}
   if (TF_2==PERIOD_D1) {TF2="D1";}
   if (TF_2==PERIOD_W1) {TF2="W1";}
   if (TF_2==PERIOD_MN1) {TF2="MN";}
   
   if (TF_3==PERIOD_M1) {TF3="M1";}
   if (TF_3==PERIOD_M5) {TF3="M5";}
   if (TF_3==PERIOD_M15) {TF3="M15";}
   if (TF_3==PERIOD_M30) {TF3="M30";}
   if (TF_3==PERIOD_H1) {TF3="H1";}
   if (TF_3==PERIOD_H4) {TF3="H4";}
   if (TF_3==PERIOD_D1) {TF3="D1";}
   if (TF_3==PERIOD_W1) {TF3="W1";}
   if (TF_3==PERIOD_MN1) {TF3="MN";}
   
   if (TF_4==PERIOD_M1) {TF4="M1";}
   if (TF_4==PERIOD_M5) {TF4="M5";}
   if (TF_4==PERIOD_M15) {TF4="M15";}
   if (TF_4==PERIOD_M30) {TF4="M30";}
   if (TF_4==PERIOD_H1) {TF4="H1";}
   if (TF_4==PERIOD_H4) {TF4="H4";}
   if (TF_4==PERIOD_D1) {TF4="D1";}
   if (TF_4==PERIOD_W1) {TF4="W1";}
   if (TF_4==PERIOD_MN1) {TF4="MN";}
   
   //baris kedua
   
   if (TF_5==PERIOD_M1) {TF5="M1";}
   if (TF_5==PERIOD_M5) {TF5="M5";}
   if (TF_5==PERIOD_M15) {TF5="M15";}
   if (TF_5==PERIOD_M30) {TF5="M30";}
   if (TF_5==PERIOD_H1) {TF5="H1";}
   if (TF_5==PERIOD_H4) {TF5="H4";}
   if (TF_5==PERIOD_D1) {TF5="D1";}
   if (TF_5==PERIOD_W1) {TF5="W1";}
   if (TF_5==PERIOD_MN1) {TF5="MN";}
   
   if (TF_6==PERIOD_M1) {TF6="M1";}
   if (TF_6==PERIOD_M5) {TF6="M5";}
   if (TF_6==PERIOD_M15) {TF6="M15";}
   if (TF_6==PERIOD_M30) {TF6="M30";}
   if (TF_6==PERIOD_H1) {TF6="H1";}
   if (TF_6==PERIOD_H4) {TF6="H4";}
   if (TF_6==PERIOD_D1) {TF6="D1";}
   if (TF_6==PERIOD_W1) {TF6="W1";}
   if (TF_6==PERIOD_MN1) {TF6="MN";}
   
   if (TF_7==PERIOD_M1) {TF7="M1";}
   if (TF_7==PERIOD_M5) {TF7="M5";}
   if (TF_7==PERIOD_M15) {TF7="M15";}
   if (TF_7==PERIOD_M30) {TF7="M30";}
   if (TF_7==PERIOD_H1) {TF7="H1";}
   if (TF_7==PERIOD_H4) {TF7="H4";}
   if (TF_7==PERIOD_D1) {TF7="D1";}
   if (TF_7==PERIOD_W1) {TF7="W1";}
   if (TF_7==PERIOD_MN1) {TF7="MN";}
   
   if (TF_8==PERIOD_M1) {TF8="M1";}
   if (TF_8==PERIOD_M5) {TF8="M5";}
   if (TF_8==PERIOD_M15) {TF8="M15";}
   if (TF_8==PERIOD_M30) {TF8="M30";}
   if (TF_8==PERIOD_H1) {TF8="H1";}
   if (TF_8==PERIOD_H4) {TF8="H4";}
   if (TF_8==PERIOD_D1) {TF8="D1";}
   if (TF_8==PERIOD_W1) {TF8="W1";}
   if (TF_8==PERIOD_MN1) {TF8="MN";}
   
   PerMonth=16.18;
   PerWeek=13.82;
   Per24H=10.0;
   Per8H=7.64;
   Per4H=6.18;
   Per1H=5.00;
   Per30M=3.82;
   Per15M=2.36;
   
   int limit=Bars-counted_bars;
   if(counted_bars>0) limit++;
   for(int i=0; i<limit; i++)
   { 
      MAMonth[i]=iMA(NULL,0,PerMonth,0,MA_Mode,PRICE_WEIGHTED,i);
      MAWeek[i]=iMA(NULL,0,PerWeek,0,MA_Mode,PRICE_WEIGHTED,i);
      MA24H[i]=iMA(NULL,0,Per24H,0,MA_Mode,PRICE_WEIGHTED,i);
      MA8H[i]=iMA(NULL,0,Per8H,0,MA_Mode,PRICE_WEIGHTED,i);
      MA4H[i]=iMA(NULL,0,Per4H,0,MA_Mode,PRICE_WEIGHTED,i);
      MA1H[i]=iMA(NULL,0,Per1H,0,MA_Mode,PRICE_WEIGHTED,i);
      MA30M[i]=iMA(NULL,0,Per30M,0,MA_Mode,PRICE_WEIGHTED,i);
      MA15M[i]=iMA(NULL,0,Per15M,0,MA_Mode,PRICE_WEIGHTED,i);
   }
   
   string Sign;
   color Col;
   
   double MAOpen=iMA(NULL,TF_4,PerMonth,0,MA_Mode,PRICE_WEIGHTED,1);
   double MAClose=iMA(NULL,TF_4,PerMonth,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign1 = "MA 16.18 "+TF4;
   ObjectDelete(sign1);
   ObjectCreate(sign1, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign1, Sign ,10, "Wingdings", Col);
   ObjectSet(sign1, OBJPROP_CORNER, Corner );
   ObjectSet(sign1, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign1, OBJPROP_YDISTANCE, 10 );
   
   MAOpen=iMA(NULL,TF_4,PerWeek,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_4,PerWeek,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign2 = "MA 12.36 "+TF4;
   ObjectDelete(sign2);
   ObjectCreate(sign2, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign2, Sign ,10, "Wingdings", Col);
   ObjectSet(sign2, OBJPROP_CORNER, Corner );
   ObjectSet(sign2, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign2, OBJPROP_YDISTANCE, 20 );

   MAOpen=iMA(NULL,TF_4,Per24H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_4,Per24H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign3 = "MA 10.00 "+TF4;
   ObjectDelete(sign3);
   ObjectCreate(sign3, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign3, Sign ,10, "Wingdings", Col);
   ObjectSet(sign3, OBJPROP_CORNER, Corner );
   ObjectSet(sign3, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign3, OBJPROP_YDISTANCE, 30 );

   MAOpen=iMA(NULL,TF_4,Per8H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_4,Per8H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign4 = "MA 7.64 "+TF4;
   ObjectDelete(sign4);
   ObjectCreate(sign4, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign4, Sign ,10, "Wingdings", Col);
   ObjectSet(sign4, OBJPROP_CORNER, Corner );
   ObjectSet(sign4, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign4, OBJPROP_YDISTANCE, 40 );
   
   MAOpen=iMA(NULL,TF_4,Per4H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_4,Per4H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign5 = "MA 6.18 "+TF4;
   ObjectDelete(sign5);
   ObjectCreate(sign5, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign5, Sign ,10, "Wingdings", Col);
   ObjectSet(sign5, OBJPROP_CORNER, Corner );
   ObjectSet(sign5, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign5, OBJPROP_YDISTANCE, 50 );

   MAOpen=iMA(NULL,TF_4,Per1H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_4,Per1H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign6 = "MA 5.00 "+TF4;
   ObjectDelete(sign6);
   ObjectCreate(sign6, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign6, Sign ,10, "Wingdings", Col);
   ObjectSet(sign6, OBJPROP_CORNER, Corner );
   ObjectSet(sign6, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign6, OBJPROP_YDISTANCE, 60 );

   MAOpen=iMA(NULL,TF_4,Per30M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_4,Per30M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign7 = "MA 3.82 "+TF4;
   ObjectDelete(sign7);
   ObjectCreate(sign7, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign7, Sign ,10, "Wingdings", Col);
   ObjectSet(sign7, OBJPROP_CORNER, Corner );
   ObjectSet(sign7, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign7, OBJPROP_YDISTANCE, 70 );
   
   MAOpen=iMA(NULL,TF_4,Per15M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_4,Per15M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign8 = "MA 2.36 "+TF4;
   ObjectDelete(sign8);
   ObjectCreate(sign8, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign8, Sign ,10, "Wingdings", Col);
   ObjectSet(sign8, OBJPROP_CORNER, Corner );
   ObjectSet(sign8, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign8, OBJPROP_YDISTANCE, 80 );
   
   //Baris panah kedua..........
   
   MAOpen=iMA(NULL,TF_3,PerMonth,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_3,PerMonth,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign11 = "MA 16.18 "+TF3;
   ObjectDelete(sign11);
   ObjectCreate(sign11, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign11, Sign ,10, "Wingdings", Col);
   ObjectSet(sign11, OBJPROP_CORNER, Corner );
   ObjectSet(sign11, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign11, OBJPROP_YDISTANCE, 10 );
   
   MAOpen=iMA(NULL,TF_3,PerWeek,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_3,PerWeek,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign21 = "MA 12.36 "+TF3;
   ObjectDelete(sign21);
   ObjectCreate(sign21, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign21, Sign ,10, "Wingdings", Col);
   ObjectSet(sign21, OBJPROP_CORNER, Corner );
   ObjectSet(sign21, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign21, OBJPROP_YDISTANCE, 20 );

   MAOpen=iMA(NULL,TF_3,Per24H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_3,Per24H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign31 = "MA 10.00 "+TF3;
   ObjectDelete(sign31);
   ObjectCreate(sign31, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign31, Sign ,10, "Wingdings", Col);
   ObjectSet(sign31, OBJPROP_CORNER, Corner );
   ObjectSet(sign31, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign31, OBJPROP_YDISTANCE, 30 );

   MAOpen=iMA(NULL,TF_3,Per8H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_3,Per8H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign41 = "MA 7.64 "+TF3;
   ObjectDelete(sign41);
   ObjectCreate(sign41, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign41, Sign ,10, "Wingdings", Col);
   ObjectSet(sign41, OBJPROP_CORNER, Corner );
   ObjectSet(sign41, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign41, OBJPROP_YDISTANCE, 40 );
   
   MAOpen=iMA(NULL,TF_3,Per4H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_3,Per4H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign51 = "MA 6.18 "+TF3;
   ObjectDelete(sign51);
   ObjectCreate(sign51, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign51, Sign ,10, "Wingdings", Col);
   ObjectSet(sign51, OBJPROP_CORNER, Corner );
   ObjectSet(sign51, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign51, OBJPROP_YDISTANCE, 50 );

   MAOpen=iMA(NULL,TF_3,Per1H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_3,Per1H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign61 = "MA 5.00 "+TF3;
   ObjectDelete(sign61);
   ObjectCreate(sign61, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign61, Sign ,10, "Wingdings", Col);
   ObjectSet(sign61, OBJPROP_CORNER, Corner );
   ObjectSet(sign61, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign61, OBJPROP_YDISTANCE, 60 );

   MAOpen=iMA(NULL,TF_3,Per30M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_3,Per30M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign71 = "MA 3.82 "+TF3;
   ObjectDelete(sign71);
   ObjectCreate(sign71, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign71, Sign ,10, "Wingdings", Col);
   ObjectSet(sign71, OBJPROP_CORNER, Corner );
   ObjectSet(sign71, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign71, OBJPROP_YDISTANCE, 70 );
   
   MAOpen=iMA(NULL,TF_3,Per15M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_3,Per15M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign81 = "MA 2.36 "+TF3;
   ObjectDelete(sign81);
   ObjectCreate(sign81, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign81, Sign ,10, "Wingdings", Col);
   ObjectSet(sign81, OBJPROP_CORNER, Corner );
   ObjectSet(sign81, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign81, OBJPROP_YDISTANCE, 80 );
   
   //Baris panah ketiga..........
   
   MAOpen=iMA(NULL,TF_2,PerMonth,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_2,PerMonth,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign12 = "MA 16.18 "+TF2;
   ObjectDelete(sign12);
   ObjectCreate(sign12, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign12, Sign ,10, "Wingdings", Col);
   ObjectSet(sign12, OBJPROP_CORNER, Corner );
   ObjectSet(sign12, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign12, OBJPROP_YDISTANCE, 10 );
   
   MAOpen=iMA(NULL,TF_2,PerWeek,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_2,PerWeek,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign22 = "MA 12.36 "+TF2;
   ObjectDelete(sign22);
   ObjectCreate(sign22, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign22, Sign ,10, "Wingdings", Col);
   ObjectSet(sign22, OBJPROP_CORNER, Corner );
   ObjectSet(sign22, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign22, OBJPROP_YDISTANCE, 20 );

   MAOpen=iMA(NULL,TF_2,Per24H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_2,Per24H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign32 = "MA 10.00 "+TF2;
   ObjectDelete(sign32);
   ObjectCreate(sign32, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign32, Sign ,10, "Wingdings", Col);
   ObjectSet(sign32, OBJPROP_CORNER, Corner );
   ObjectSet(sign32, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign32, OBJPROP_YDISTANCE, 30 );

   MAOpen=iMA(NULL,TF_2,Per8H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_2,Per8H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign42 = "MA 7.64 "+TF2;
   ObjectDelete(sign42);
   ObjectCreate(sign42, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign42, Sign ,10, "Wingdings", Col);
   ObjectSet(sign42, OBJPROP_CORNER, Corner );
   ObjectSet(sign42, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign42, OBJPROP_YDISTANCE, 40 );
   
   MAOpen=iMA(NULL,TF_2,Per4H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_2,Per4H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign52 = "MA 6.18 "+TF2;
   ObjectDelete(sign52);
   ObjectCreate(sign52, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign52, Sign ,10, "Wingdings", Col);
   ObjectSet(sign52, OBJPROP_CORNER, Corner );
   ObjectSet(sign52, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign52, OBJPROP_YDISTANCE, 50 );

   MAOpen=iMA(NULL,TF_2,Per1H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_2,Per1H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign62 = "MA 5.00 "+TF2;
   ObjectDelete(sign62);
   ObjectCreate(sign62, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign62, Sign ,10, "Wingdings", Col);
   ObjectSet(sign62, OBJPROP_CORNER, Corner );
   ObjectSet(sign62, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign62, OBJPROP_YDISTANCE, 60 );

   MAOpen=iMA(NULL,TF_2,Per30M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_2,Per30M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign72 = "MA 3.82 "+TF2;
   ObjectDelete(sign72);
   ObjectCreate(sign72, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign72, Sign ,10, "Wingdings", Col);
   ObjectSet(sign72, OBJPROP_CORNER, Corner );
   ObjectSet(sign72, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign72, OBJPROP_YDISTANCE, 70 );
   
   MAOpen=iMA(NULL,TF_2,Per15M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_2,Per15M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign82 = "MA 2.36 "+TF2;
   ObjectDelete(sign82);
   ObjectCreate(sign82, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign82, Sign ,10, "Wingdings", Col);
   ObjectSet(sign82, OBJPROP_CORNER, Corner );
   ObjectSet(sign82, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign82, OBJPROP_YDISTANCE, 80 );
   
   //Baris panah keempat..........
   
   MAOpen=iMA(NULL,TF_1,PerMonth,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_1,PerMonth,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign13 = "MA 16.18 "+TF1;
   ObjectDelete(sign13);
   ObjectCreate(sign13, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign13, Sign ,10, "Wingdings", Col);
   ObjectSet(sign13, OBJPROP_CORNER, Corner );
   ObjectSet(sign13, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign13, OBJPROP_YDISTANCE, 10 );
   
   MAOpen=iMA(NULL,TF_1,PerWeek,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_1,PerWeek,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign23 = "MA 12.36 "+TF1;
   ObjectDelete(sign23);
   ObjectCreate(sign23, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign23, Sign ,10, "Wingdings", Col);
   ObjectSet(sign23, OBJPROP_CORNER, Corner );
   ObjectSet(sign23, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign23, OBJPROP_YDISTANCE, 20 );

   MAOpen=iMA(NULL,TF_1,Per24H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_1,Per24H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign33 = "MA 10.00 "+TF1;
   ObjectDelete(sign33);
   ObjectCreate(sign33, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign33, Sign ,10, "Wingdings", Col);
   ObjectSet(sign33, OBJPROP_CORNER, Corner );
   ObjectSet(sign33, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign33, OBJPROP_YDISTANCE, 30 );

   MAOpen=iMA(NULL,TF_1,Per8H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_1,Per8H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign43 = "MA 7.64 "+TF1;
   ObjectDelete(sign43);
   ObjectCreate(sign43, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign43, Sign ,10, "Wingdings", Col);
   ObjectSet(sign43, OBJPROP_CORNER, Corner );
   ObjectSet(sign43, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign43, OBJPROP_YDISTANCE, 40 );
   
   MAOpen=iMA(NULL,TF_1,Per4H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_1,Per4H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign53 = "MA 6.18 "+TF1;
   ObjectDelete(sign53);
   ObjectCreate(sign53, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign53, Sign ,10, "Wingdings", Col);
   ObjectSet(sign53, OBJPROP_CORNER, Corner );
   ObjectSet(sign53, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign53, OBJPROP_YDISTANCE, 50 );

   MAOpen=iMA(NULL,TF_1,Per1H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_1,Per1H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign63 = "MA 5.00 "+TF1;
   ObjectDelete(sign63);
   ObjectCreate(sign63, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign63, Sign ,10, "Wingdings", Col);
   ObjectSet(sign63, OBJPROP_CORNER, Corner );
   ObjectSet(sign63, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign63, OBJPROP_YDISTANCE, 60 );

   MAOpen=iMA(NULL,TF_1,Per30M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_1,Per30M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign73 = "MA 3.82 "+TF1;
   ObjectDelete(sign73);
   ObjectCreate(sign73, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign73, Sign ,10, "Wingdings", Col);
   ObjectSet(sign73, OBJPROP_CORNER, Corner );
   ObjectSet(sign73, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign73, OBJPROP_YDISTANCE, 70 );
   
   MAOpen=iMA(NULL,TF_1,Per15M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_1,Per15M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign83 = "MA 2.36 "+TF1;
   ObjectDelete(sign83);
   ObjectCreate(sign83, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign83, Sign ,10, "Wingdings", Col);
   ObjectSet(sign83, OBJPROP_CORNER, Corner );
   ObjectSet(sign83, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign83, OBJPROP_YDISTANCE, 80 );
   
   
   // Sign untuk baris dan column kedua H4,D1,W1,MN ///////////////////////////////////////////////////////////////
   
   
   MAOpen=iMA(NULL,TF_8,PerMonth,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_8,PerMonth,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign14 = "MA 16.18 "+TF8;
   ObjectDelete(sign14);
   ObjectCreate(sign14, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign14, Sign ,10, "Wingdings", Col);
   ObjectSet(sign14, OBJPROP_CORNER, Corner );
   ObjectSet(sign14, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign14, OBJPROP_YDISTANCE, 120 );
   
   MAOpen=iMA(NULL,TF_8,PerWeek,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_8,PerWeek,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign24 = "MA 12.36 "+TF8;
   ObjectDelete(sign24);
   ObjectCreate(sign24, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign24, Sign ,10, "Wingdings", Col);
   ObjectSet(sign24, OBJPROP_CORNER, Corner );
   ObjectSet(sign24, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign24, OBJPROP_YDISTANCE, 130 );

   MAOpen=iMA(NULL,TF_8,Per24H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_8,Per24H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign34 = "MA 10.00 "+TF8;
   ObjectDelete(sign34);
   ObjectCreate(sign34, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign34, Sign ,10, "Wingdings", Col);
   ObjectSet(sign34, OBJPROP_CORNER, Corner );
   ObjectSet(sign34, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign34, OBJPROP_YDISTANCE, 140 );

   MAOpen=iMA(NULL,TF_8,Per8H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_8,Per8H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign44 = "MA 7.64 "+TF8;
   ObjectDelete(sign44);
   ObjectCreate(sign44, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign44, Sign ,10, "Wingdings", Col);
   ObjectSet(sign44, OBJPROP_CORNER, Corner );
   ObjectSet(sign44, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign44, OBJPROP_YDISTANCE, 150 );
   
   MAOpen=iMA(NULL,TF_8,Per4H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_8,Per4H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign54 = "MA 6.18 "+TF8;
   ObjectDelete(sign54);
   ObjectCreate(sign54, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign54, Sign ,10, "Wingdings", Col);
   ObjectSet(sign54, OBJPROP_CORNER, Corner );
   ObjectSet(sign54, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign54, OBJPROP_YDISTANCE, 160 );

   MAOpen=iMA(NULL,TF_8,Per1H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_8,Per1H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign64 = "MA 5.00 "+TF8;
   ObjectDelete(sign64);
   ObjectCreate(sign64, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign64, Sign ,10, "Wingdings", Col);
   ObjectSet(sign64, OBJPROP_CORNER, Corner );
   ObjectSet(sign64, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign64, OBJPROP_YDISTANCE, 170 );

   MAOpen=iMA(NULL,TF_8,Per30M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_8,Per30M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign74 = "MA 3.82 "+TF8;
   ObjectDelete(sign74);
   ObjectCreate(sign74, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign74, Sign ,10, "Wingdings", Col);
   ObjectSet(sign74, OBJPROP_CORNER, Corner );
   ObjectSet(sign74, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign74, OBJPROP_YDISTANCE, 180 );
   
   MAOpen=iMA(NULL,TF_8,Per15M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_8,Per15M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign84 = "MA 2.36 "+TF8;
   ObjectDelete(sign84);
   ObjectCreate(sign84, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign84, Sign ,10, "Wingdings", Col);
   ObjectSet(sign84, OBJPROP_CORNER, Corner );
   ObjectSet(sign84, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign84, OBJPROP_YDISTANCE, 190 );
   
   //Baris panah kedua..........
   
   MAOpen=iMA(NULL,TF_7,PerMonth,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_7,PerMonth,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign115 = "MA 16.18 "+TF7;
   ObjectDelete(sign115);
   ObjectCreate(sign115, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign115, Sign ,10, "Wingdings", Col);
   ObjectSet(sign115, OBJPROP_CORNER, Corner );
   ObjectSet(sign115, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign115, OBJPROP_YDISTANCE, 120 );
   
   MAOpen=iMA(NULL,TF_7,PerWeek,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_7,PerWeek,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign215 = "MA 12.36 "+TF7;
   ObjectDelete(sign215);
   ObjectCreate(sign215, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign215, Sign ,10, "Wingdings", Col);
   ObjectSet(sign215, OBJPROP_CORNER, Corner );
   ObjectSet(sign215, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign215, OBJPROP_YDISTANCE, 130 );

   MAOpen=iMA(NULL,TF_7,Per24H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_7,Per24H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign315 = "MA 10.00 "+TF7;
   ObjectDelete(sign315);
   ObjectCreate(sign315, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign315, Sign ,10, "Wingdings", Col);
   ObjectSet(sign315, OBJPROP_CORNER, Corner );
   ObjectSet(sign315, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign315, OBJPROP_YDISTANCE, 140 );

   MAOpen=iMA(NULL,TF_7,Per8H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_7,Per8H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign415 = "MA 7.64 "+TF7;
   ObjectDelete(sign415);
   ObjectCreate(sign415, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign415, Sign ,10, "Wingdings", Col);
   ObjectSet(sign415, OBJPROP_CORNER, Corner );
   ObjectSet(sign415, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign415, OBJPROP_YDISTANCE, 150 );
   
   MAOpen=iMA(NULL,TF_7,Per4H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_7,Per4H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign515 = "MA 6.18 "+TF7;
   ObjectDelete(sign515);
   ObjectCreate(sign515, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign515, Sign ,10, "Wingdings", Col);
   ObjectSet(sign515, OBJPROP_CORNER, Corner );
   ObjectSet(sign515, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign515, OBJPROP_YDISTANCE, 160 );

   MAOpen=iMA(NULL,TF_7,Per1H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_7,Per1H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign615 = "MA 5.00 "+TF7;
   ObjectDelete(sign615);
   ObjectCreate(sign615, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign615, Sign ,10, "Wingdings", Col);
   ObjectSet(sign615, OBJPROP_CORNER, Corner );
   ObjectSet(sign615, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign615, OBJPROP_YDISTANCE, 170 );

   MAOpen=iMA(NULL,TF_7,Per30M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_7,Per30M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign715 = "MA 3.82 "+TF7;
   ObjectDelete(sign715);
   ObjectCreate(sign715, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign715, Sign ,10, "Wingdings", Col);
   ObjectSet(sign715, OBJPROP_CORNER, Corner );
   ObjectSet(sign715, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign715, OBJPROP_YDISTANCE, 180 );
   
   MAOpen=iMA(NULL,TF_7,Per15M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_7,Per15M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign815 = "MA 2.36 "+TF7;
   ObjectDelete(sign815);
   ObjectCreate(sign815, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign815, Sign ,10, "Wingdings", Col);
   ObjectSet(sign815, OBJPROP_CORNER, Corner );
   ObjectSet(sign815, OBJPROP_XDISTANCE, 63 );
   ObjectSet(sign815, OBJPROP_YDISTANCE, 190 );
   
   //Baris panah ketiga..........
   
   MAOpen=iMA(NULL,TF_6,PerMonth,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_6,PerMonth,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign126 = "MA 16.18 "+TF6;
   ObjectDelete(sign126);
   ObjectCreate(sign126, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign126, Sign ,10, "Wingdings", Col);
   ObjectSet(sign126, OBJPROP_CORNER, Corner );
   ObjectSet(sign126, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign126, OBJPROP_YDISTANCE, 120 );
   
   MAOpen=iMA(NULL,TF_6,PerWeek,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_6,PerWeek,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign226 = "MA 12.36 "+TF6;
   ObjectDelete(sign226);
   ObjectCreate(sign226, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign226, Sign ,10, "Wingdings", Col);
   ObjectSet(sign226, OBJPROP_CORNER, Corner );
   ObjectSet(sign226, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign226, OBJPROP_YDISTANCE, 130 );

   MAOpen=iMA(NULL,TF_6,Per24H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_6,Per24H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign326 = "MA 10.00 "+TF6;
   ObjectDelete(sign326);
   ObjectCreate(sign326, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign326, Sign ,10, "Wingdings", Col);
   ObjectSet(sign326, OBJPROP_CORNER, Corner );
   ObjectSet(sign326, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign326, OBJPROP_YDISTANCE, 140 );

   MAOpen=iMA(NULL,TF_6,Per8H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_6,Per8H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign426 = "MA 7.64 "+TF6;
   ObjectDelete(sign426);
   ObjectCreate(sign426, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign426, Sign ,10, "Wingdings", Col);
   ObjectSet(sign426, OBJPROP_CORNER, Corner );
   ObjectSet(sign426, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign426, OBJPROP_YDISTANCE, 150 );
   
   MAOpen=iMA(NULL,TF_6,Per4H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_6,Per4H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign526 = "MA 6.18 "+TF6;
   ObjectDelete(sign526);
   ObjectCreate(sign526, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign526, Sign ,10, "Wingdings", Col);
   ObjectSet(sign526, OBJPROP_CORNER, Corner );
   ObjectSet(sign526, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign526, OBJPROP_YDISTANCE, 160 );

   MAOpen=iMA(NULL,TF_6,Per1H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_6,Per1H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign626 = "MA 5.00 "+TF6;
   ObjectDelete(sign626);
   ObjectCreate(sign626, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign626, Sign ,10, "Wingdings", Col);
   ObjectSet(sign626, OBJPROP_CORNER, Corner );
   ObjectSet(sign626, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign626, OBJPROP_YDISTANCE, 170 );

   MAOpen=iMA(NULL,TF_6,Per30M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_6,Per30M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign726 = "MA 3.82 "+TF6;
   ObjectDelete(sign726);
   ObjectCreate(sign726, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign726, Sign ,10, "Wingdings", Col);
   ObjectSet(sign726, OBJPROP_CORNER, Corner );
   ObjectSet(sign726, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign726, OBJPROP_YDISTANCE, 180 );
   
   MAOpen=iMA(NULL,TF_6,Per15M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_6,Per15M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign826 = "MA 2.36 "+TF6;
   ObjectDelete(sign826);
   ObjectCreate(sign826, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign826, Sign ,10, "Wingdings", Col);
   ObjectSet(sign826, OBJPROP_CORNER, Corner );
   ObjectSet(sign826, OBJPROP_XDISTANCE, 83 );
   ObjectSet(sign826, OBJPROP_YDISTANCE, 190 );
   
   //Baris panah keempat..........
   
   MAOpen=iMA(NULL,TF_5,PerMonth,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_5,PerMonth,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign137 = "MA 16.18 "+TF5;
   ObjectDelete(sign137);
   ObjectCreate(sign137, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign137, Sign ,10, "Wingdings", Col);
   ObjectSet(sign137, OBJPROP_CORNER, Corner );
   ObjectSet(sign137, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign137, OBJPROP_YDISTANCE, 120 );
   
   MAOpen=iMA(NULL,TF_5,PerWeek,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_5,PerWeek,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign237 = "MA 12.36 "+TF5;
   ObjectDelete(sign237);
   ObjectCreate(sign237, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign237, Sign ,10, "Wingdings", Col);
   ObjectSet(sign237, OBJPROP_CORNER, Corner );
   ObjectSet(sign237, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign237, OBJPROP_YDISTANCE, 130 );

   MAOpen=iMA(NULL,TF_5,Per24H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_5,Per24H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign337 = "MA 10.00 "+TF5;
   ObjectDelete(sign337);
   ObjectCreate(sign337, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign337, Sign ,10, "Wingdings", Col);
   ObjectSet(sign337, OBJPROP_CORNER, Corner );
   ObjectSet(sign337, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign337, OBJPROP_YDISTANCE, 140 );

   MAOpen=iMA(NULL,TF_5,Per8H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_5,Per8H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign437 = "MA 7.64 "+TF5;
   ObjectDelete(sign437);
   ObjectCreate(sign437, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign437, Sign ,10, "Wingdings", Col);
   ObjectSet(sign437, OBJPROP_CORNER, Corner );
   ObjectSet(sign437, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign437, OBJPROP_YDISTANCE, 150 );
   
   MAOpen=iMA(NULL,TF_5,Per4H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_5,Per4H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign537 = "MA 6.18 "+TF5;
   ObjectDelete(sign537);
   ObjectCreate(sign537, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign537, Sign ,10, "Wingdings", Col);
   ObjectSet(sign537, OBJPROP_CORNER, Corner );
   ObjectSet(sign537, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign537, OBJPROP_YDISTANCE, 160 );

   MAOpen=iMA(NULL,TF_5,Per1H,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_5,Per1H,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign637 = "MA 5.00 "+TF5;
   ObjectDelete(sign637);
   ObjectCreate(sign637, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign637, Sign ,10, "Wingdings", Col);
   ObjectSet(sign637, OBJPROP_CORNER, Corner );
   ObjectSet(sign637, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign637, OBJPROP_YDISTANCE, 170 );

   MAOpen=iMA(NULL,TF_5,Per30M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_5,Per30M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign737 = "MA 3.82 "+TF5;
   ObjectDelete(sign737);
   ObjectCreate(sign737, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign737, Sign ,10, "Wingdings", Col);
   ObjectSet(sign737, OBJPROP_CORNER, Corner );
   ObjectSet(sign737, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign737, OBJPROP_YDISTANCE, 180 );
   
   MAOpen=iMA(NULL,TF_5,Per15M,0,MA_Mode,PRICE_WEIGHTED,1);
   MAClose=iMA(NULL,TF_5,Per15M,0,MA_Mode,PRICE_WEIGHTED,0);
   if (MAOpen==MAClose) { Sign=""; Col=Yellow; } //Sideway
   else 
      if (MAOpen < MAClose) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign837 = "MA 2.36 "+TF5;
   ObjectDelete(sign837);
   ObjectCreate(sign837, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign837, Sign ,10, "Wingdings", Col);
   ObjectSet(sign837, OBJPROP_CORNER, Corner );
   ObjectSet(sign837, OBJPROP_XDISTANCE, 103 );
   ObjectSet(sign837, OBJPROP_YDISTANCE, 190 );
//----


   return(0);
  }
//+------------------------------------------------------------------+